Package de.willuhn.jameica.hbci.rmi

# Interface Protokoll

All Superinterfaces:
  `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.GenericObject`, `HibiscusDBObject`, `Remote`, `de.willuhn.datasource.rmi.Transactionable`

All Known Implementing Classes:
  `ProtokollImpl`

public interface Protokoll extends HibiscusDBObject
Speichert HBCI-Protokoll-Informationen zu jedem Konto. Hintergrund: Ueber diese Klasse kann jederzeit geprueft werden, wann welche Art von HBCI-Aktion (z.Bsp. Umsaetze abrufen oder Ueberweisung) ausgefuehrt wurde.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`TYP_ERROR`
Protokoll-Typ bei einem Fehler.
`static final int`
`TYP_SUCCESS`
Protokoll-Typ bei Erfolg.
`static final int`
`TYP_UNKNOWN`
Protokoll-Typ unbekannt (Default).

## Method Summary

Modifier and Type
Method
Description
`Date`
`getDatum()`
Liefert das Datum, an dem der Log-Eintrag erzeugt wurde.
`String`
`getKommentar()`
Liefert den Kommentar des Log-Eintrages.
`Konto`
`getKonto()`
Liefert das Konto, zu dem dieser Protokoll-Eointrag gehoert.
`int`
`getTyp()`
Liefert den Typ des Log-Eintrages.
`void`
`setKommentar(String kommentar)`
Speichert den Kommentar zu diesem Log-Eintrag.
`void`
`setKonto(Konto konto)`
Speichert das Konto, zu dem dieser Log-Eintrag gehoert.
`void`
`setTyp(int typ)`
Speichert den Typ des Log-Eintrages.

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

## Field Details

### TYP_UNKNOWN

static final int TYP_UNKNOWN
Protokoll-Typ unbekannt (Default).

See Also:
  - Constant Field Values

### TYP_SUCCESS

static final int TYP_SUCCESS
Protokoll-Typ bei Erfolg.

See Also:
  - Constant Field Values

### TYP_ERROR

static final int TYP_ERROR
Protokoll-Typ bei einem Fehler.

See Also:
  - Constant Field Values

## Method Details

### getKonto

Konto getKonto() throws RemoteException
Liefert das Konto, zu dem dieser Protokoll-Eointrag gehoert.

Returns:
  Konto.
Throws:
  `RemoteException`

### getKommentar

String getKommentar() throws RemoteException
Liefert den Kommentar des Log-Eintrages.

Returns:
  Kommentar.
Throws:
  `RemoteException`

### getDatum

Date getDatum() throws RemoteException
Liefert das Datum, an dem der Log-Eintrag erzeugt wurde.

Returns:
  Datum.
Throws:
  `RemoteException`

### getTyp

int getTyp() throws RemoteException
Liefert den Typ des Log-Eintrages. Zur Codierung siehe die Konstanten TYP_*.

Returns:
  Typ.
Throws:
  `RemoteException`

### setKonto

void setKonto(Konto konto) throws RemoteException
Speichert das Konto, zu dem dieser Log-Eintrag gehoert.

Parameters:
  `konto` - Konto.
Throws:
  `RemoteException`

### setKommentar

void setKommentar(String kommentar) throws RemoteException
Speichert den Kommentar zu diesem Log-Eintrag.

Parameters:
  `kommentar` - Kommentar.
Throws:
  `RemoteException`

### setTyp

void setTyp(int typ) throws RemoteException
Speichert den Typ des Log-Eintrages. Zur Codierung siehe die Konstanten TYP_*.

Parameters:
  `typ` - Typ.
Throws:
  `RemoteException`